Skip to main content
POST
Add samples to PVC voice

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

voice_id
string
required

Voice ID to be used, you can use GET /v1/voices to list all the available voices.

Example:

"21m00Tcm4TlvDq8ikWAM"

Body

multipart/form-data
files
file[]
required

Audio files used to create the voice.

remove_background_noise
boolean
default:false

If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse.

Example:

true

Response

Successful Response

sample_id
string
required

The ID of the sample.

file_name
string
required

The name of the sample file.

mime_type
string
required

The MIME type of the sample file.

size_bytes
integer
required

The size of the sample file in bytes.

hash
string
required

The hash of the sample file.

duration_secs
number | null
remove_background_noise
boolean | null
has_isolated_audio
boolean | null
has_isolated_audio_preview
boolean | null
speaker_separation
SpeakerSeparationResponseModel · object | null
Example:
trim_start
integer | null
trim_end
integer | null